Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class ResourceRequestParameterMap

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletRequestParameterMap
          org.jboss.portal.portlet.impl.jsr168.ResourceRequestParameterMap

    public class ResourceRequestParameterMap

extends PortletRequestParameterMap

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`protected org.jboss.portal.common.util.ParameterMap` | `privateRenderParameters` .

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.PortletRequestParameterMap
`COPY_MODE, parameters, privateParameters, publicParameters`

Constructor Summary
`protected` | `ResourceRequestParameterMap(java.util.Map<java.lang.String,java.lang.String[]> parameters, java.util.Map<java.lang.String,java.lang.String[]> privateParameters, java.util.Map<java.lang.String,java.lang.String[]> publicParameters, java.util.Map<java.lang.String,java.lang.String[]> privateRenderParameters)`

Method Summary
`static ResourceRequestParameterMap` | `create(NavigationInfo navigationInfo, ResourceInvocation invocation)` - resource parameter : always - form parameter : if it is a POST with the content type set to application/...
`org.jboss.portal.common.util.ParameterMap` | `getPrivateRenderParameters()`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.PortletRequestParameterMap
`create, create, create, create, getParameters, getPrivateParameters, getPublicParameters, safeBuildParameters, safeBuildPublicParameters, safeCombine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### privateRenderParameters

    protected final org.jboss.portal.common.util.ParameterMap privateRenderParameters

  .

Constructor Detail

### ResourceRequestParameterMap

    protected ResourceRequestParameterMap(java.util.Map<java.lang.String,java.lang.String[]> parameters,
                                          java.util.Map<java.lang.String,java.lang.String[]> privateParameters,
                                          java.util.Map<java.lang.String,java.lang.String[]> publicParameters,
                                          java.util.Map<java.lang.String,java.lang.String[]> privateRenderParameters)

Method Detail

### getPrivateRenderParameters

    public org.jboss.portal.common.util.ParameterMap getPrivateRenderParameters()

### create

    public static ResourceRequestParameterMap create(NavigationInfo navigationInfo,
                                                     ResourceInvocation invocation)

  - resource parameter : always - form parameter : if it is a POST with the content type set to application/... - render parameter : depends on the cacheability of the request - public render parameter : optionally sent by the consumer - getParameterMap() : the resource parameter + form parameters if any + render parameter + public render parameter - getPrivateParameterMap() : the resource parameter + form parameter - getPublicParameterMap() : public render parameter - getPrivateRenderParameterMap() : render parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.